summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSviatoslav Sydorenko <wk@sydorenko.org.ua>2022-11-04 04:40:30 +0100
committerGitHub <noreply@github.com>2022-11-03 20:40:30 -0700
commit5602bc2a8d492de2cb151d61a73ee4b409b1831f (patch)
tree53fcc7831d08657fca0c7c70c84e8c21e94543de
parented579d475c90720e62b2f0c0f902a6c6ddb89315 (diff)
downloadansible-5602bc2a8d492de2cb151d61a73ee4b409b1831f.tar.gz
[2.9] Log `runme.sh` execution in integration tests (#79286)
* Log `runme.sh` execution in integration tests (#79263) * Log `runme.sh` execution in integration tests This patch adds `set -x` where it's missing in the integration tests. It also enables `pipefail` in `runme.sh` scripts that use pipes. * Add a change note for PR #79263 (cherry picked from commit 6674c43edd203d1241507c4d857f555a7c844c18) * Delete a bad PR #79263 change note (cherry picked from commit 9cfb3f73e8d7f910e226de3aebe6f9b9b18327ec)
-rwxr-xr-xtest/integration/targets/subversion/runme.sh2
-rwxr-xr-xtest/integration/targets/tags/runme.sh5
2 files changed, 2 insertions, 5 deletions
diff --git a/test/integration/targets/subversion/runme.sh b/test/integration/targets/subversion/runme.sh
index f505e58168..66fa771a30 100755
--- a/test/integration/targets/subversion/runme.sh
+++ b/test/integration/targets/subversion/runme.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-set -eu
+set -eux -o pipefail
cleanup() {
echo "Cleanup"
diff --git a/test/integration/targets/tags/runme.sh b/test/integration/targets/tags/runme.sh
index 949fbd5fb9..8cb90153e8 100755
--- a/test/integration/targets/tags/runme.sh
+++ b/test/integration/targets/tags/runme.sh
@@ -1,9 +1,6 @@
#!/usr/bin/env bash
-set -eu
-
-# Using set -x for this test causes the Shippable console to stop receiving updates and the job to time out for macOS.
-# Once that issue is resolved the set -x option can be added above.
+set -eux -o pipefail
# Run these using en_US.UTF-8 because list-tasks is a user output function and so it tailors its output to the
# user's locale. For unicode tags, this means replacing non-ascii chars with "?"